summaryrefslogtreecommitdiffstats
path: root/.ci
diff options
context:
space:
mode:
authorliushuyu <liushuyu011@gmail.com>2022-06-20 03:51:31 +0200
committerliushuyu <liushuyu011@gmail.com>2022-07-05 05:21:56 +0200
commit161d6960130085ac5989f64f4f0d7a9c31713498 (patch)
tree979936079fa2581fb9f3e904c162ae7dc8de6b84 /.ci
parentCI: upload artifacts for pull request verification (diff)
downloadyuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar.gz
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar.bz2
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar.lz
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar.xz
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.tar.zst
yuzu-161d6960130085ac5989f64f4f0d7a9c31713498.zip
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/scripts/linux/upload.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/.ci/scripts/linux/upload.sh b/.ci/scripts/linux/upload.sh
index 208cd0d04..3f2c2f208 100755
--- a/.ci/scripts/linux/upload.sh
+++ b/.ci/scripts/linux/upload.sh
@@ -24,6 +24,11 @@ cd build
wget -nc https://github.com/yuzu-emu/ext-linux-bin/raw/main/appimage/appimagetool-x86_64.AppImage
chmod 755 appimagetool-x86_64.AppImage
+# if FUSE is not available, then fallback to extract and run
+if ! ./appimagetool-x86_64.AppImage --version; then
+ export APPIMAGE_EXTRACT_AND_RUN=1
+fi
+
if [ "${RELEASE_NAME}" = "mainline" ]; then
# Generate update information if releasing to mainline
./appimagetool-x86_64.AppImage -u "gh-releases-zsync|yuzu-emu|yuzu-${RELEASE_NAME}|latest|yuzu-*.AppImage.zsync" AppDir "${APPIMAGE_NAME}"